Bug 30982 - Uninstalling univention-samba4 leaves samba4 on server
Uninstalling univention-samba4 leaves samba4 on server
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Arvid Requate
Erik Damrose
: interim-1
Depends on: 31960
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-04 16:46 CEST by Erik Damrose
Modified: 2013-11-19 06:41 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
slave-setup.log (186.95 KB, application/text)
2013-08-01 12:56 CEST, Felix Botner
Details
master-setup.log (127.30 KB, application/text)
2013-08-01 12:57 CEST, Felix Botner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-04-04 16:46:22 CEST
When uninstalling samba4 via univention-management-console's software page or with univention-remove univention-samba4 the packages univention-samba4 and univention-samba4-sysvol-sync are uninstalled, but samba4 is left on the server.
Comment 1 Arvid Requate univentionstaff 2013-06-10 10:56:15 CEST
How would you avoid this? We cannot add a reverse dependency on the metapackage to samba4. This cleanup job needs to be handeld by apt-get / aptitude.
Comment 2 Arvid Requate univentionstaff 2013-06-10 10:59:51 CEST
Should be handled by UMC / System Setup.
Comment 3 Philipp Hahn univentionstaff 2013-07-12 10:48:05 CEST
svn42325:
> + 'Packages': ['univention-samba4''univention-samba-local-config', 'samba4'],

Missing comma?
Comment 4 Arvid Requate univentionstaff 2013-07-15 11:09:49 CEST
Fixed.
Comment 5 Felix Botner univentionstaff 2013-08-01 12:54:04 CEST
OK, the samba4 package gets removed when uninstalling "Active Directory-compatible domaincontroller (Samba 4)" via UMC, but during this removal process, the samba package is installed and immediately removed (on a master)

master setup.log
__MSG__:samba wird vorbereitet
__STEP__:186.7925
__MSG__:dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/samba_2%3a3.6.8-1.566.201305070657_amd64.deb (--unpack):
__MSG__:Versuch, »/usr/bin/eventlogadm« zu überschreiben, welches auch in Paket samba4-clients 4.0.3-1.377.201305061354 ist
__MSG__:configured to not write apport reports
__MSG__:dpkg-deb: Unterprozess einfügen mit Signal (Datenübergabe unterbrochen (broken pipe)) getötet
__MSG__:Fehler traten auf beim Bearbeiten von:
__MSG__:/var/cache/apt/archives/samba_2%3a3.6.8-1.566.201305070657_amd64.deb
__MSG__:(Lese Datenbank ... 88992 Dateien und Verzeichnisse sind derzeit installiert.)
__MSG__:Entpacken von samba (aus .../samba_2%3a3.6.8-1.566.201305070657_amd64.deb) ...
__MSG__:samba wird installiert
__STEP__:137.5
__MSG__:samba wird vorbereitet
__STEP__:150.0
__MSG__:samba wird entpackt
__STEP__:162.5
__MSG__:Konfiguration von samba wird vorbereitet
__STEP__:175.0
__MSG__:Trigger für man-db werden verarbeitet ...
__MSG__:Aufruf des Nach-Installations-Triggers man-db
__STEP__:175.0
__MSG__:Ausführen von dpkg
__STEP__:175.0
__MSG__:samba (2:3.6.8-1.566.201305070657) wird eingerichtet ...
__MSG__:samba wird konfiguriert
__STEP__:175.0
__MSG__:samba wird konfiguriert
__STEP__:187.5
__MSG__:update-alternatives: /usr/bin/smbstatus.samba3 wird verwendet, um /usr/bin/smbstatus (smbstatus) im Auto-Modus bereitzustellen.
__MSG__:Starting Samba daemons: nmbd smbd.
__MSG__:samba installiert
__STEP__:200.0



slave setup.log
__MSG__:Vormals abgewähltes Paket samba wird gewählt.
__MSG__:(Lese Datenbank ... 54887 Dateien und Verzeichnisse sind derzeit installiert.)
__MSG__:Entpacken von samba (aus .../samba_2%3a3.6.8-1.566.201305070657_amd64.deb) ...
__MSG__:samba wird installiert
__STEP__:170.0
__MSG__:samba wird vorbereitet
__STEP__:171.6667
__MSG__:dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/samba_2%3a3.6.8-1.566.201305070657_amd64.deb (--unpack):
__MSG__:Versuch, »/usr/bin/eventlogadm« zu überschreiben, welches auch in Paket samba4-clients 4.0.3-1.377.201305061354 ist
__MSG__:configured to not write apport reports
__MSG__:dpkg-deb: Unterprozess einfügen mit Signal (Datenübergabe unterbrochen (broken pipe)) getötet
__MSG__:Fehler traten auf beim Bearbeiten von:
__MSG__:/var/cache/apt/archives/samba_2%3a3.6.8-1.566.201305070657_amd64.deb

package status on the master:

dpkg -l samba
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name                          Version                       Beschreibung
+++-=============================-=============================-==========================================================================
rc  samba                         2:3.6.

on the slave:
vi /var/log/univention/setup.log
root@slave:~# dpkg -l samba
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name                          Version                       Beschreibung
+++-=============================-=============================-==========================================================================
in  samba                         <keine>  

I am not sure if this is a problem in the "package dependencies" in  /lib/univention-installer/package_list.py or in umc's uninstalling algorithm, but at least this "in" on the slave does not look good.
Comment 6 Felix Botner univentionstaff 2013-08-01 12:56:57 CEST
Created attachment 5346 [details]
slave-setup.log
Comment 7 Felix Botner univentionstaff 2013-08-01 12:57:18 CEST
Created attachment 5347 [details]
master-setup.log
Comment 8 Felix Botner univentionstaff 2013-08-01 12:57:34 CEST
The slave was not joined.
Comment 9 Arvid Requate univentionstaff 2013-08-15 16:54:50 CEST
The issue described in Comment 5 is now fixed with Bug 31960.
Comment 10 Erik Damrose univentionstaff 2013-08-21 17:19:53 CEST
Only config files remain after uninstalling via umc: OK
No installation-uninstallation shenanigans while removing samba4: OK
Changelog entry: OK
-> Verified
Comment 11 Arvid Requate univentionstaff 2013-08-22 16:49:47 CEST
Needs to be checked again as the fix for Bug #31960 was adjusted.
Comment 12 Erik Damrose univentionstaff 2013-08-23 16:00:49 CEST
Still works with the adjustment
-> Verified
Comment 13 Stefan Gohmann univentionstaff 2013-11-19 06:41:28 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".